Bug Hunting Session
Bug 94231 - FILEOPEN: XLSX - Pattern/hatching fill colors not imported into charts
Summary: FILEOPEN: XLSX - Pattern/hatching fill colors not imported into charts
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: OOXML-Object-Fill
  Show dependency treegraph
 
Reported: 2015-09-15 08:04 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-12-13 07:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Excel vs LO (92.05 KB, image/png)
2015-09-15 08:04 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-15 08:04:13 UTC
Created attachment 118729 [details]
Excel vs LO

Steps:
1) Open attachment 118723 [details]
2) Notice that the chart title 'ColorFul 3 / Style 3' has missing colors in the bars.

Bug 94227 is already set for importing the pattern/hatching setting correctly, but the line/foreground and background colors were never imported correctly. Col 12 is set to dark green (90,123,57) line color and light green (221,237,210) background color.

Version: 5.1.0.0.alpha1+
Build ID: eb2e1ab4651350bffc53f618961a910bd3bbcfd9
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-02_23:57:52
Locale: en-US (en_US.UTF-8)
Comment 1 Buovjaga 2015-09-19 16:29:29 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+ (x64)
Build ID: 9ce08dcc2e32c5554ddf71b79173f8854e0568ad
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-09-17_21:43:51
Locale: en-US (fi_FI)
Comment 2 QA Administrators 2016-11-08 11:54:50 UTC Comment hidden (obsolete)
Comment 3 MM 2016-12-09 15:47:19 UTC
Confirmed with Version: 5.4.0.0.alpha0+
Build ID: cb598029835477326b190bc99abd31a487cc5a91
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-12-09_00:51:36
Locale: en-US (en_US.UTF-8); Calc: single
Comment 4 QA Administrators 2017-12-10 16:38:52 UTC Comment hidden (obsolete, spam)
Comment 5 Commit Notification 2018-11-18 04:26:00 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/dddcfa0089bc84965d7a2c94f5f738a325cfae78%5E%21

tdf#94231 OOXML Import: Fix disappeared Hatch Background Color

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-12-13 07:35:02 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/a0a8c3a1be9f69f89cbdfbb037261ca6ab64e3af%5E%21

tdf#94231 OOXML Import: Fix disappeared Hatch Background Color

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.